#/**
#         ogr CreateMbrImage int_ndisk str_repo path_image
#@brief   Crea una imagen a partir del sector de arranque de un disco.
#@param   int_ndisk    nº de orden del disco
#@param   str_repo     repositorio de imágenes (remoto o caché local)
#@param   path_image   camino de la imagen (sin extensión)
#@return  (nada, por determinar)
#@note    repo = { REPO, CACHE }
#@exception OG_ERR_FORMAT    formato incorrecto.
#@exception OG_ERR_NOTFOUND  fichero o dispositivo no encontrado.
#@exception OG_ERR_IMAGE     error al crear la imagen del sistema.
#@warning En pruebas iniciales
#@todo    Comprobaciones, control de errores, definir parámetros, etc.
#@version 0.9 - Versión en pruebas para OpenGNSys
#@author  Ramon Gomez, ETSII Universidad de Sevilla
#@date    2010/01/12
#*/ ##
# Variables locales
local DISK IMGDIR IMGFILE
# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME int_ndisk path_dir str_image" \
           "$FUNCNAME 1 REPO /aula1/mbr"
    return
fi
# Error si no se reciben 3 parámetros.
[ $# -lt 3 ] && ogr RaiseError $OG_ERR_FORMAT && return $?

DISK=$(ogr DiskToDev "$1") || return $?
IMGDIR=$(ogr GetParentPath "$2" "$3")
[ -n "$IMGDIR" ] || ogr RaiseError $OG_ERR_NOTFOUND "$2 $(dirname $3)" || return $?
IMGFILE="$IMGDIR/$(basename "$3").mbr"

# Crear imagen del MBR.
dd if="$DISK" of="$IMGFILE" bs=512 count=1 || ogr RaiseError $OG_ERR_IMAGE "$1 $IMGFILE" || return $?
